Package org.bukkit.entity

# Enum Class Pose

java.lang.Object
java.lang.Enum<Pose>
org.bukkit.entity.Pose

All Implemented Interfaces:
  `Serializable`, `Comparable<Pose>`, `Constable`

public enum Pose extends Enum<Pose>
Represents an entity body pose.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CROAKING`
Entity is croaking.
`DIGGING`
Entity is digging.
`DYING`
Entity is dead.
`EMERGING`
Entity is emerging.
`FALL_FLYING`
Entity is gliding.
`LONG_JUMPING`
Entity is long jumping.
`ROARING`
Entity is roaring.
`SITTING`
Entity is sitting.
`SLEEPING`
Entity is sleeping.
`SNEAKING`
Entity is sneaking.
`SNIFFING`
Entity is sniffing.
`SPIN_ATTACK`
Entity is riptiding with a trident.
`STANDING`
Entity is standing normally.
`SWIMMING`
Entity is swimming.
`USING_TONGUE`
Entity is using its tongue.

## Method Summary

Modifier and Type
Method
Description
`static Pose`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Pose[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### STANDING

public static final Pose STANDING
Entity is standing normally.

### FALL_FLYING

public static final Pose FALL_FLYING
Entity is gliding.

### SLEEPING

public static final Pose SLEEPING
Entity is sleeping.

### SWIMMING

public static final Pose SWIMMING
Entity is swimming.

### SPIN_ATTACK

public static final Pose SPIN_ATTACK
Entity is riptiding with a trident.

### SNEAKING

public static final Pose SNEAKING
Entity is sneaking.

### LONG_JUMPING

public static final Pose LONG_JUMPING
Entity is long jumping.

### DYING

public static final Pose DYING
Entity is dead.

### CROAKING

public static final Pose CROAKING
Entity is croaking.

### USING_TONGUE

public static final Pose USING_TONGUE
Entity is using its tongue.

### SITTING

public static final Pose SITTING
Entity is sitting.

### ROARING

public static final Pose ROARING
Entity is roaring.

### SNIFFING

public static final Pose SNIFFING
Entity is sniffing.

### EMERGING

public static final Pose EMERGING
Entity is emerging.

### DIGGING

public static final Pose DIGGING
Entity is digging.

## Method Details

### values

public static Pose[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Pose valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null